/// <reference types="jquery" />
import { ErrorHandler } from './error-handler';
import { ErrorHandlerTooltipConfig } from './error-handler-tooltip-config';
import { AbstractControl } from '@angular/forms';
/**
 * data-* api
 *  1)context-proxy：覆盖config中配置，与config中不同的是值可为false。使用方表单域/表单组
 *  2)offset-y：提示垂直偏移量，负数向上，正数向下。使用方tooltip
 *  3)offset-x：提示水平偏移量，负数向左，正数向右。使用方tooltip
 *  4)position：覆盖config中配置。使用方tooltip
 *  5)left/right/top/bottom：当tooltip父元素不可见时，tooltip无法计算位置，可使用这些值设定固定定位。使用方tooltip
 */
export declare class ErrorHandlerTooltip implements ErrorHandler {
    private $ele;
    private control;
    private config;
    private isInitial;
    private lastStatusValid;
    private $tooltip;
    private offsetY;
    private offsetX;
    private subscription;
    private timeoutFlag;
    constructor($ele: JQuery, config: ErrorHandlerTooltipConfig, control: AbstractControl);
    whenValid(): void;
    whenInvalid(): void;
    reposition(): void;
    destroy(): void;
    private init();
    private applyStyle();
    private setLocation();
}
