/// <reference types="jquery" />
import { Observable } from 'rxjs/Observable';
export declare type Selector = string | JQuery | HTMLElement;
/**
 * 表单域：指绑定了ngModel的元素
 * 表单组：指绑定了ngModelGroup的元素
 */
export interface FormHelperConfig {
    resetAfterSubmitted?: boolean;
    context?: Window | Selector;
    extraSubmits?: Selector;
    offsetTop?: number;
    autoScrollToTopError?: boolean;
    className?: string | false;
    errorClassName?: string | false;
    errorGroupClassName?: string | false;
    errorHandler?: string | false | {
        name: string;
        config?: {
            [key: string]: any;
        };
    };
    submitHandler?: string | false | {
        name: string;
        config?: {
            [key: string]: any;
        };
    };
    onSuccess?: () => Promise<any> | Observable<any> | any;
    onDeny?: () => void;
    onComplete?: (...args: any[]) => void;
}
